Link (Gradle API 8.11.1)

Package org.gradle.plugins.ide.eclipse.model

## Class Link

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.Link

-     public class Link
      extends java.lang.Object

  Link.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Link​(java.lang.String name, java.lang.String type, java.lang.String location, java.lang.String locationUri)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getLocation()` |
    `java.lang.String` | `getLocationUri()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getType()` |
    `int` | `hashCode()` |
    `void` | `setLocation​(java.lang.String location)` |
    `void` | `setLocationUri​(java.lang.String locationUri)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setType​(java.lang.String type)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          public Link​(java.lang.String name,
                      java.lang.String type,
                      java.lang.String location,
                      java.lang.String locationUri)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType​(java.lang.String type)

    - #### getLocation

          public java.lang.String getLocation()

    - #### setLocation

          public void setLocation​(java.lang.String location)

    - #### getLocationUri

          public java.lang.String getLocationUri()

    - #### setLocationUri

          public void setLocationUri​(java.lang.String locationUri)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`